Content
By default, the HERE Vector Tile API returns default content. To request different or additional content, use the content query parameter.
Additional content
The following content is available through the content parameter.
Optional content
Advanced Vector Tile
The HERE Vector Tile API also offers advanced content types that provide additional features and properties for the pois and roads layers. These advanced content types include:
- Advanced roads - The
roadslayer with additional features and properties. - Advanced points of interest - The
poislayer with additional features and properties.
Pricing
The HERE Vector Tile API uses the pay-per-transaction model. Tile requests that include advanced points of interest or advanced roads fall under the Advanced Vector Tile pricing category of HERE Map Rendering, which may result in additional charges. For more information, see HERE platform pricing.
Request content
To receive optional data in the API response, include the content parameter as a comma-separated list of content identifiers. For example:
curl "https://vector.hereapi.com/v2/vectortiles/core/mc/15/18028/9636/omv?apikey={YOUR_HERE_API_KEY}&content=default,advanced_pois,advanced_roads,contours,hillshade"where:
default— the default tile contentadvanced_pois,advanced_roads— the advanced content typescontours— the contours layerhillshade— the hillshade layer
Note
The order of attributes in the
contentparameter is important. Ensure thatdefaultis the first attribute.
The server response includes the default tile content plus the requested additional layers. For example, the following snippet shows an advanced point of interest — an electric vehicle charging station, identified by the kind and pds_category values:
{
"type":"Feature",
"geometry":{
"type":"Point",
"coordinates":[
18.069097995758057,
59.329620005455325
]
},
"properties":{
"country":"SE",
"quality_score":4,
"name":"E.On",
"name:sv":"E.On",
"name:es":"E.On Drive Laddstation",
"kind":"charging_station",
"pds_category":"700-7600-0322",
"min_zoom":18,
"vt_layer":"pois"
}
}Next steps
- For more information about other layer feature types available in the HERE Vector Tile API, see Tile Layers.
Updated 19 days ago